<?php
session_start();
session_unset();
session_destroy();
error_reporting(0);

include "./js/conectpoo.php";

$kueryimgeperfil = "SELECT * FROM `empresa`";
$objetoimg= new db();

$imageperfilresult = $objetoimg->consultaregistros($kueryimgeperfil);

$imagenperfil = "imgperfil/".$imageperfilresult[0]["imagen"];
$nombreempresa = $imageperfilresult[0]["nombre"];

if($imagenperfil=="imgperfil/"){
  $imagenperfil ="imgperfil/logoee.png";
}

?>
<html lang="es">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php echo $nombreempresa?> | </title>
    <link href="../vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="../vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <link href="../vendors/nprogress/nprogress.css" rel="stylesheet">
    <link href="../vendors/animate.css/animate.min.css" rel="stylesheet">
    <link href="../build/css/custom.min.css" rel="stylesheet">
      
      <style>
        h3{color:darkslategray;font-family: "Tw Cen MT";font-size: 1.8em;}
        img{align-content:center;}
        .marco{
            border-radius: 15px;
            background: #FFFFFF;
            padding: 20px; 
            width: 100%;
            height: 550px;
            margin: 0 auto;
            position:absolute;
            text-align: center;
        }
          
	
	
      </style>
  </head>
  <body class="login" style="background-color:#094456">
      <div class="login_wrapper">
        <div class=" marco" >
            <h3><?php echo $nombreempresa?></h3>  <br>
        <img src=<?php echo '"'.$imagenperfil.'"';?> alt="..." height="200" width="200">
        <section class="login_content">
            <form>
              <div id="avisos"></div>
              
              <div>
                <input type="text" class="form-control" placeholder="Usuario" required="" id="usr"/>
              </div>
              <div>
                <input type="password" class="form-control" style="box-sizing: border-box;"placeholder="Contraseña" required="" id="pass"/>
              </div><br>
              <div>
                <button type="button" id="btnEntrar" class="btn btn-success btn-block" onclick="entrar()"> Entrar  </button>
              </div>
              <div class="clearfix"></div>

            </form>
          </section>
        </div>
        
        </div>
      <br>
  </body>

<script src="js/jquery-3.2.1.min.js"></script>

<script type="text/javascript">

var inputUser = document.getElementById("usr");
inputUser.addEventListener("keyup", function(event) {
  event.preventDefault();
  if (event.keyCode === 13) {
    document.getElementById("btnEntrar").click();
  }
});
    
var inputPass = document.getElementById("pass");
inputPass.addEventListener("keyup", function(event) {
  event.preventDefault();
  if (event.keyCode === 13) {
    document.getElementById("btnEntrar").click();
  }
});    
    
    
    
function entrar(){
    var sUsr = $('#usr').val();
    var sPass = $('#pass').val();

    if(sUsr=="" | sPass==""){
        $('#avisos').html("<strong>Atención: </strong>Debes escribir usuario y contraseña.");
        
        if(sUsr=="") $('#user');
            if(sPass=="") $('#pass');
                $('#avisos');
    }else{
        $.get("./js/log.php",{usr:sUsr, pass:sPass},function(respuesta){
            if (respuesta.estatus == "aceptado"){       
                location.href = respuesta.lin;  
            }else{
                $('#avisos').html("<span class='notificaciones'><strong>Acceso negado: </strong>"+respuesta.lin+".</span>");
                $('#avisos').addClass(' ui-state-error');
            }
        },"json");
    }
return false;
}
           
</script>

</html>

